<template>
  <div>
    <!-- Sidebar -->
    <div
      class="w3-sidebar w3-bar-block w3-card w3-animate-left bg-dark"
      style="display: none"
      id="mySidebar"
    >
      <p id="boasvindas">Seja Bem-Vindo!</p>
      <hr id="hr" />
      <div class="px-3 py-2">
        <b-list-group style="max-width: 300px">
          <b-list-group-item class="d-flex align-items-center">
            <b-avatar variant="info" :src="foto" class="mr-3"></b-avatar>
            <span class="mr-auto">{{ nome }}</span>
          </b-list-group-item>
        </b-list-group>
        <br />
        <button
          @click="logout"
          class="btn-info mr-4 btn-sm btn-default btn-hover-primary"
        ><b-icon icon="power" font-scale="1" aria-hidden="true"></b-icon>
          Logout
        </button>
        <button
          @click="pageAlterPassword"
          class="btn-info  btn-sm btn-default btn-hover-primary"
        ><b-icon icon="pencil-fill" font-scale="1" aria-hidden="true"></b-icon>
          Alterar Senha
        </button>
        <hr id="hr" />
        <button
          @click="pageInicio"
          class="btn btn-outline-dark text-white mb-2"
        ><b-icon icon="house-door-fill" scale="1" variant="white" class="mr-2"></b-icon>
          Home
        </button>
        <br />
        <button
          @click="pageminhasper"
          class="btn btn-outline-dark text-white mb-2"
        ><b-icon icon="person-lines-fill" scale="1" variant="white" class="mr-2"></b-icon>
          Minhas Questões
        </button>
        <br />
        <div class="btn-group">
          <button
            v-if="admir == 'true'"
            @click="restrito"
            type="button"
            class="btn btn-outline-danger dropdown-toggle"
            data-toggle="dropdown"
            
          ><b-icon icon="exclamation-triangle-fill" scale="1" variant="white"></b-icon>
            Area Restrita
          </button>
          <div class="dropdown-menu">
            <button @click="pageAdmUser" class="btn btn-danger dropdown-item">
              Lista de Usuarios
            </button>
            <button @click="pageAdmQuests" class="btn btn-danger dropdown-item">
              Questões
            </button>
          </div>
        </div>
      </div>
    </div>

    <!-- navbar -->
    <b-navbar type="dark" id="main" variant="dark">
      <b-navbar-nav class="navbar navbar-dark">
        <div class="container-fluid">
          <b-button id="openNav" @click="abrir()">
            <b-icon icon="list"></b-icon>
          </b-button>
          <router-link
            @click="pageInicio"
            class="navbar-brand ml-4"
            to="/inicio"
            >VTF-Solutions</router-link
          >
        </div>
      </b-navbar-nav>
    </b-navbar>
    <div v-if="page == 1">
      <publicar class="mt-4" />
      <hr id="hr1" />
      <quest class="m-4" />
    </div>
    <div v-if="page == 2">
      <m-perguntas class="mt-4" />
    </div>
    <div v-if="page == 'admUser'">
      <adm-users />
    </div>
    <div v-if="page == 'admQuest'">
      <adm-quest />
    </div>
    <div v-if="page == 'AlterPass'">
      <alter-pass />
    </div>
  </div>
</template>

<script>
import Publicar from "./Publicar.vue";
import Quest from "./Quests.vue";
import MPerguntas from "./MinhasPerguntas.vue";
import AdmQuest from "./AdmComponents/AdmQuests.vue";
import AdmUsers from "./AdmComponents/AdmUsers.vue";
import AlterPass from "./AlteraSenha.vue"

export default {
  components: {
    Publicar,
    Quest,
    MPerguntas,
    AdmQuest,
    AdmUsers,
    AlterPass
  },

  teste: function () {
    // console.log(this.$userData);
  },

  data() {
    return {
      nome: localStorage.getItem("nome"),
      foto: localStorage.getItem("foto"),
      admir: localStorage.getItem("admir"),
      page: "1",
    };
  },

  methods: {
    abrir: function () {
      if (document.getElementById("mySidebar").style.display == "none") {
        this.open();
      } else {
        this.close();
      }
    },
    restrito: function () {},
    pageInicio: function () {
      this.page = "1";
      this.close();
    },

    pageminhasper: function () {
      this.page = "2";
      this.close();
    },
    pageAdmUser: function () {
      this.page = "admUser";
      this.close();
    },
    pageAdmQuests: function () {
      this.page = "admQuest";
      this.close();
    },
    pageAlterPassword: function () {
      this.page = "AlterPass";
      this.close();
    },
    open: function () {
      document.getElementById("main").style.marginLeft = "25%";
      document.getElementById("mySidebar").style.width = "25%";
      document.getElementById("mySidebar").style.display = "block";
    },
    close: function () {
      document.getElementById("main").style.marginLeft = "0%";
      document.getElementById("mySidebar").style.display = "none";
      document.getElementById("openNav").style.display = "inline-block";
    },

    logout() {
      localStorage.removeItem("token");
      localStorage.removeItem("idU");
      localStorage.removeItem("nome");
      localStorage.removeItem("foto");
      localStorage.removeItem("admir");

      this.$router.push("/").catch(() => {});
    },
  },
};
</script>

<style scoped>
#boasvindas {
  font-size: 20px;
  margin-top: 15px;
  color: white;
  text-align: center;
}
#hr {
  margin-top: 21px;
  color: white;
}
</style>
